Bug 100609 - ping icmp_seq starts at 1
ping icmp_seq starts at 1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-23 13:36 EDT by jmccann
Modified: 2015-03-04 20:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 11:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2003-07-23 13:36:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Ping on Solaris and Debian starts icmp_seq at 0.  Apparently on RH it starts at one.

Is there a reason for this?  This makes it difficult to make a cross
distribution tool that reads the ping results.

Version-Release number of selected component (if applicable):
iputils-20020927-6

How reproducible:
Always

Steps to Reproduce:
1. ping www.google.com

    

Actual Results:  On RH9 w/ rawhide iptools built from SRPM
% ping www.google.com
PING www.google.com (216.239.57.99) 56(84) bytes of data.
64 bytes from 216.239.57.99: icmp_seq=1 ttl=45 time=92.1 ms
64 bytes from 216.239.57.99: icmp_seq=2 ttl=45 time=93.6 ms


Expected Results:  On Solaris and possibly others:
% ping -s www.google.com
PING www.google.com: 56 data bytes
64 bytes from 216.239.33.99: icmp_seq=0. time=88. ms
64 bytes from 216.239.33.99: icmp_seq=1. time=89. ms


Additional info:
Comment 1 Phil Knirsch 2003-09-03 11:07:39 EDT
Included in iputils-20020927-9 and later.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.